org.kie.internal.io

## Interface ResourceChangeScanner

- All Superinterfaces:
    ResourceChangeMonitor

      public interface ResourceChangeScanner
      extends ResourceChangeMonitor

  Built in service, as provided by the ResourceFactory for monitor file changes on the local disk.

  This interface, as well as ChangeSet, ResourceChangeNotifier, ResourceChangeMonitor and ResourceChangeScanner are still considered subject to change. Use the XML format change-set, as part of the ResourceType api when adding to KnowledgeBuilder, which is considered stable. KnowledgeBuilder currently ignored Added/Modified xml elements, the KnowledgeAgent will use them, when rebuilding the KnowledgeBase.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(ResourceChangeScannerConfiguration configuration)` Reconfigure the Scanner now
    `ResourceChangeScannerConfiguration` | `newResourceChangeScannerConfiguration()` New ResourceChangeScannerConfiguration which can be used to update this service.
    `ResourceChangeScannerConfiguration` | `newResourceChangeScannerConfiguration(Properties properties)` New ResourceChangeScannerConfiguration, using the given Properties, which can be used to update this service.
    `void` | `scan()` Execute a disk scan of subscribed resources now.
    `void` | `setInterval(int interval)` Set scan interval in seconds
    `void` | `start()` Start the service, this creates a new Thread.
    `void` | `stop()` Stop the service.

    - ### Methods inherited from interface org.kie.internal.io.ResourceChangeMonitor

      `setSystemEventListener, subscribeNotifier, unsubscribeNotifier`

- - ### Method Detail

    - #### newResourceChangeScannerConfiguration

          ResourceChangeScannerConfiguration newResourceChangeScannerConfiguration()

      New ResourceChangeScannerConfiguration which can be used to update this service.
      Returns:

    - #### newResourceChangeScannerConfiguration

          ResourceChangeScannerConfiguration newResourceChangeScannerConfiguration(Properties properties)

      New ResourceChangeScannerConfiguration, using the given Properties, which can be used to update this service.
      Returns:

    - #### configure

          void configure(ResourceChangeScannerConfiguration configuration)

      Reconfigure the Scanner now
      Parameters:
        `configuration` -

    - #### scan

          void scan()

      Execute a disk scan of subscribed resources now.

    - #### start

          void start()

      Start the service, this creates a new Thread.

    - #### stop

          void stop()

      Stop the service.

    - #### setInterval

          void setInterval(int interval)

      Set scan interval in seconds
      Parameters:
        `interval` -

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.